Show a Task
curl --request GET \
--url https://public-api.stora.co/2025-09/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"id": "task_195h6kfm9ro15lof",
"assignee": {
"id": "staff_06778802edebb94d"
},
"completed_at": null,
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_06778802edebb94d"
},
"description": "<p>This is a test task.</p>",
"due_at": "2025-02-24T14:41:00Z",
"metadata": {},
"resource": {
"id": "unit_1e36123098e22cf8"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "open",
"title": "My Task",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Tasks
Show a Task
Retrieve a specific task by its ID.
Required authorization scope: public.task:read
GET
/
2025-09
/
tasks
/
{task_id}
Show a Task
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the task to retrieve
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?
⌘I